Source: haskell-retry
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-exceptions-dev (>= 0.5),
 libghc-exceptions-prof,
 libghc-random-dev (>= 1),
 libghc-random-prof,
 libghc-hedgehog-dev,
 libghc-hunit-dev,
 libghc-tasty-dev,
 libghc-tasty-hunit-dev,
 libghc-tasty-hedgehog-dev,
Build-Depends-Indep:
 ghc-doc,
 libghc-exceptions-doc,
 libghc-random-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/Soostone/retry
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-retry
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-retry]
X-Description: Retry combinators for monadic actions that may fail
 This package exposes combinators that can wrap arbitrary monadic actions. They
 run the action and potentially retry running it with some configurable delay
 for a configurable number of times.
 .
 The purpose is to make it easier to work with IO and especially network IO
 actions that often experience temporary failure and warrant retrying of the
 original action. For example, a database query may time out for a while, in
 which case we should hang back for a bit and retry the query instead of simply
 raising an exception.

Package: libghc-retry-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-retry-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-retry-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
